Module exceptions :: Class StandardError

[frames | no frames]

## Type StandardError

       object --+
                |
    BaseException --+
                    |
            Exception --+
                        |
                       StandardError

Known Subclasses:
  `AssertionError`, `AttributeError`, `RuntimeError`, `ValueError`

Base class for all standard Python exceptions that do not represent interpreter exiting.

Method Summary
| ``__init__`(...)` x.__init__(...) initializes x; see x.__class__.__doc__ for signature
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...

Class Variable Summary

Method Details

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

  Overrides:
    `exceptions.Exception.__init__`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:33 2009 | http://epydoc.sf.net